<!-- (C) 2016 Conviva, Inc. All rights reserved. Confidential and proprietary. -->
<!-- Kedar Marsada <kmarsada@conviva.com> -->
<!DOCTYPE HTML>
<html>
    <head>
        <script type="text/javascript" src="lib/hasplayer.js"></script>
        <script type="text/javascript" src="lib/dash.all.min.js"></script>
        <script type="text/javascript" src="lib/hls.min.js"></script>
    </head>
    <body>
        <div id="container">
            <video controls=true width=640 height=480 id="videoPlayer"></video>
        </div>
        <script type="text/javascript" src="conviva/conviva-core-sdk.min.js"></script>
        <script type="text/javascript" src="conviva/conviva-html5native-impl.js"></script>
        <script type="text/javascript" src="app/configs.js"></script>
        <script type="text/javascript" src="app/html5NativeHandshake.js"></script>
        <script type="text/javascript" src="app/videoPlayer.js"></script>
      <div class="row">
          <button id="cleanupContentSession" style="display:block;margin-top:0%;margin-bottom:0%"
          onclick="cleanupContentSession()">Cleanup Content Session</button>
          <button id="contentUpdateContentMetadata" style="display:block;margin-top:0%;margin-bottom:0%"
          onclick="contentUpdateContentMetadata()">Test updateContentMetadata() for Content Session</button>
          <button id="contentSetBitrateKbps" style="display:block;margin-top:0%;margin-bottom:0%"
          onclick="contentSetBitrateKbps()">Test setBitrateKbps() for Content Session</button>
          <button id="contentSendCustomEvent" style="display:block;margin-top:0%;margin-bottom:0%"
          onclick="contentSendCustomEvent()">Test sendCustomEvent() for Content Session</button>
          <button id="contentReportError" style="display:block;margin-top:0%;margin-bottom:5%"
          onclick="contentReportError()">Test reportError() for Content Session</button>

          <button id="createAdSession" style="display:block;margin-top:0%;margin-bottom:0%"
          onclick="createAdSession(true)">Create Ad Session</button></div>
          <button id="cleanupAdSession" style="display:block;margin-top:0%;margin-bottom:0%"
          onclick="cleanupAdSession()">Cleanup Ad Session</button></div>
          <button id="adUpdateContentMetadata" style="display:block;margin-top:0%;margin-bottom:0%"
          onclick="adUpdateContentMetadata()">Test updateContentMetadata() for Ad Session</button>
          <button id="adSetBitrateKbps" style="display:block;margin-top:0%;margin-bottom:0%"
          onclick="adSetBitrateKbps()">Test setBitrateKbps() for Ad Session</button>
          <button id="adSendCustomEvent" style="display:block;margin-top:0%;margin-bottom:0%"
          onclick="adSendCustomEvent()">Test sendCustomEvent() for Ad Session</button>
          <button id="adReportError" style="display:block;margin-top:0%;margin-bottom:0%"
          onclick="adReportError()">Test reportError() for Ad Session</button>
	</body>
</html>
